Subject: [Geopriv] [GEOPRIV] Liberty Alliance

From: "Alberto Ballauri" <[email-masked]>
Date: Tue, 22 Apr 2008 12:15:43 +0200

Hi all,
We would like to know if for Held has been forseen a "Circle of Trust" of
the type Liberty Alliance, and the possibility of a cascade authentication
system, and the possibility of the authentication using that system for the
application of the rules.

Regards

Alberto & Tommaso
_______________________________________________
Geopriv mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/geopriv

---

From: Hannes Tschofenig <[email-masked]>
Date: Tue, 22 Apr 2008 15:22:17 +0300

Hi Alberto,

could you provide us a bit more details on what you try to accomplish?

Ciao
Hannes

Alberto Ballauri wrote:
> Hi all,
> We would like to know if for Held has been forseen a "Circle of Trust" 
> of the type Liberty Alliance, and the possibility of a cascade 
> authentication system, and the possibility of the authentication using 
> that system for the application of the rules.
>
> Regards
>
> Alberto & Tommaso
> ------------------------------------------------------------------------
>

---

From: "Alberto Ballauri" <[email-masked]>
Date: Wed, 23 Apr 2008 11:17:14 +0200

Hi,
the scenario is an LbyR architecture, we have a Presence Network Agent (PNA)
that retrive location information from a Lis using Held and then publish the
information to the Presence Server (PS) with Geopriv capabilities.
The rules that must be respected are double:
- those configured at the Lis by the Target that apply to the Held Client in
the PNA
- those configured at the PS by the presentity owner that regards the
watchers

So in this Target-Requestor-...-Requestor chain scenario how can we be sure
that the first Requestor could respect all the rules of the chain and
doesn't misuse the information?
The Liberty Alliance framework of trust could respond to such a question, so
we would like to know if is foreseen to support it in Held.

Ciao
Alberto & Tommaso

2008/4/22, Hannes Tschofenig <[email-masked]>:
> > authentication system, and the possibility of the authentication using that
> > system for the application of the rules.
> >
> > Regards
> >
> > Alberto & Tommaso

---

From: Hannes Tschofenig <[email-masked]>
Date: Tue, 29 Apr 2008 16:07:13 +0300

Hi Alberto,

thanks for the details. The initial version, which was published some 
time ago, had support for SAML, see for example 
http://tools.ietf.org/html/draft-winterbottom-http-location-delivery-03.
However, this support was removed later on (since it is not necessarily 
totally for free).
Addittionally, the ability for the HELD client to publish authorization 
policies in the style of Geolocation Policies (as developed by the 
working group) have also been removed since there are also issue with 
regard to complexity in this specific deployment case.

The basic idea was to create something simple to start with and then 
worry about more sophisticated functionality later. I don't think anyone 
of us in the group is currently working on SAML/Liberty Alliance for HELD.

I hope my answer helped.

Ciao
Hannes

Alberto Ballauri wrote:
> Hi,
> the scenario is an LbyR architecture, we have a Presence Network Agent 
> (PNA) that retrive location information from a Lis using Held and then 
> publish the information to the Presence Server (PS) with Geopriv 
> capabilities.
> - those configured at the Lis by the Target that apply to the Held 
> Client in the PNA
> So in this Target-Requestor-...-Requestor chain scenario how can we be 
> sure that the first Requestor could respect all the rules of the chain 
> and doesn't misuse the information?
> The Liberty Alliance framework of trust could respond to such a 
> question, so we would like to know if is foreseen to support it in Held.
>  
> Ciao
> Alberto & Tommaso
>
>
>
>  
> 2008/4/22, Hannes Tschofenig <[email-masked] 
> <mailto:[email-masked]>>:
>
>     Hi Alberto,
>
>         We would like to know if for Held has been forseen a "Circle
>         of Trust" of the type Liberty Alliance, and the possibility of
>         a cascade authentication system, and the possibility of the
>         authentication using that system for the application of the rules.
>
>         Regards
>
>         Alberto & Tommaso
>         [email-masked] <mailto:[email-masked]>